Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.oslc4j.core.model
Interface IExtendedResource

All Superinterfaces:
  IResource

All Known Implementing Classes:
  AbstractChangeLog, AbstractResource, AllowedValues, AnyResource, Base, ChangeEvent, ChangeLog, Compact, Creation, CreationFactory, Deletion, Dialog, EmptyChangeLog, FilteredResource, Modification, OAuthConfiguration, Page, PrefixDefinition, Preview, Property, Publisher, QueryCapability, ResourceShape, ResponseInfo, ResponseInfoArray, ResponseInfoCollection, Service, ServiceProvider, ServiceProviderCatalog, TrackedResourceSet

    public interface IExtendedResource

extends IResource

A resource that can hold unknown properties and content. If a setter is not found for a property when reading a resource, it is added as an extended property. These extended properties are preserved when writing the resource back out, for instance on a PUT request. In OSLC, clients MUST preserve unknown content when performing updates of resources.

See Also:
  OSLC Core 2.0: Unknown properties and content

Method Summary
`void` | `addType(URI type)` Adds an RDF type to this resource.
`Map<QName,Object>` | `getExtendedProperties()` Gets back the list of extended properties not defined in this bean.
`Collection<URI>` | `getTypes()` Gets the RDF types of this resource.
`void` | `setExtendedProperties(Map<QName,Object> properties)` Sets extended properties not defined in the bean.
`void` | `setTypes(Collection<URI> types)` Sets the RDF types of this resource.

Methods inherited from interface org.eclipse.lyo.oslc4j.core.model.IResource
`getAbout, setAbout`

Method Detail

### getTypes

    Collection<URI> getTypes()

  Gets the RDF types of this resource. These types will be added to the serialization of the resource in addition to the `OslcResourceShape.describes()` annotation.

  Returns:
    the collection of types

### setTypes

    void setTypes(Collection<URI> types)

  Sets the RDF types of this resource. These types will be added to the serialization of the resource in addition to the `OslcResourceShape.describes()` annotation.

  Parameters:
    `types` - the collection of types

### addType

    void addType(URI type)

  Adds an RDF type to this resource. These types will be added to the serialization of the resource in addition to the `OslcResourceShape.describes()` annotation.

  Parameters:
    `type` - the type URI

### setExtendedProperties

    void setExtendedProperties(Map<QName,Object> properties)

  Sets extended properties not defined in the bean.

  Parameters:
    `properties` - a map of properties where the key is the predicate qualified name and the value is the object of the statement. Values are collections if there are multiple statements for a predicate.

### getExtendedProperties

    Map<QName,Object> getExtendedProperties()

  Gets back the list of extended properties not defined in this bean.

  Returns:
    the extended properties, a map of properties where the key is the predicate qualified name and the value is the object of the statement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.